Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I have installed Ubuntu 11.10 in my system with gnome shell.

When I try to watch any videos on any video streaming website in Firefox, I am not able to watch. At the same time those videos can be played in Chromium browser.

I have already installed Flash 11 and the Flash plugin for Firefox as well.

share|improve this question
    
have you tried uninstalling them and installing again with synaptics =) ps sorry for my poor english –  Gerep Feb 25 '12 at 23:28

9 Answers 9

I had a similar issue before. Try to remove flash first by running the following command in a terminal:

 sudo apt-get purge adobe-flashplugin

Then try to reinstall flash with this command:

sudo apt-get install flashplugin-nonfree

That worked for me.

share|improve this answer

Try to install the Firefox Add-On Flash-Aid, that Add-On will configure Flash for your system. You can easily choose between stable and beta version.

share|improve this answer
    
The solution suggested by remi was in my case the one that worked. Although choosing neither "beta flash" nor "stable flash" version but the option "install chrome flash" –  user71971 Jun 20 '12 at 10:50

I had a similar problem. This is how I was able to resolve it.

  1. Go to the Firefox add-ons screen, ► Tools ► Add-ons ► Search for flash-aid then install it.
  2. Restart Firefox.
  3. In Firefox go to ► Tools ► Flashaid ► Quick Mode - Install beta flash
  4. Restart the browser.
share|improve this answer

I had the same issue. My fix was to remove Gnash and Gnash browser plugin. Gnash is a SWF standalone player/ browser plugin

Once removed try restarting firefox and all should be good.

share|improve this answer
    
This worked for me on ubuntu 11.10. Thanks!! –  Corey D Apr 27 '12 at 13:40

Try reinstalling Flash using the Software Center:

Install via the software center

Or the following command in terminal:

sudo apt-get update
sudo apt-get install adobe-flashplugin
share|improve this answer

On Ubuntu 10.10

If you are getting flash videos not showing from Youtube or other sites in Firefox 11, But you are in chrome Chrome.

And when you go to Youtube, you just get a black screen, folow these steps:

  1. Go to ►Tools ►Add Ons
  2. Look for a PlugIn installed for Shockwave Flash, and disable that. Then Flash should start working okay from Youtube and other sites.

This may help anyone else having the problem with Firefox 11, I wanted to post this in case it helped anyone else having problems.

share|improve this answer

I'm not sure when or how gnash was installed on my machine, but using:

sudo apt-get remove gnash

sorted my problem out just fine (on 11.04, and presumably other versions). Now I can watch iplayer again.

share|improve this answer

I had simmilar problem with myspace. However, it was not exactly flash nor firefox problem but certificates issue. Try following:

  1. Go here: GlobalSign. Choose w OrganizationalSSL Intermediate. Copy the certificate in text editor (like gedit) and save it on hard disk for example: as FIX.CRT
  2. Open Firefox: Edit > Preferences > Advanced > Encryption > Show certificates > Import > choose your certificate: FIX.CRT. Check the checkboxes.
  3. Restart Firefox.
share|improve this answer

Chrome is using a build in flash plugin, whereas firefox is using the system wide. There are some problems with the new version, the 11.2 one. What I did was this (in a terminal):

  1. Downloaded: wget http://archive.canonical.com/pool/partner/a/adobe-flashplugin/adobe-flashplugin_10.2.159.1-0natty1_i386.deb
  2. Installed it with `sudo dpkg -i adobe-flashplugin_10.2.159.1-0natty1_i386.deb'
  3. And opened sudo synaptic to force the version. synaptic

This will do the trick. OR

  1. Download http://archive.canonical.com/pool/partner/a/adobe-flashplugin/adobe-flashplugin_10.2.159.1.orig.tar.gz
  2. Copy the libflashplayer.so to /usr/lib/flashplugin-installer/
    • To install it for a single user, put it in ~/.mozilla/plugins/ instead.
share|improve this answer

protected by Community Aug 10 '12 at 10:05

Thank you for your interest in this question. Because it has attracted low-quality answers, posting an answer now requires 10 reputation on this site.

Would you like to answer one of these unanswered questions instead?

Not the answer you're looking for? Browse other questions tagged or ask your own question.